Bug 63318 - net/mldonkey update / fix broken download link
Summary: net/mldonkey update / fix broken download link
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-24 20:00 UTC by Holger Lamm
Modified: 2004-03-18 15:21 UTC (History)
0 users

See Also:


Attachments
file.diff (8.28 KB, patch)
2004-02-24 20:00 UTC, Holger Lamm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Holger Lamm 2004-02-24 20:00:29 UTC
This is the update to the current version.
The download links of the old version don't work no longer.
Comment 1 Holger Lamm 2004-02-27 21:25:37 UTC
Since savannah is accessible again, we can update to 2.5.12 directly.
Holger
---------------------------------------------------------------------

diff -Nur mldonkey.orig/Makefile mldonkey/Makefile
--- mldonkey.orig/Makefile	Tue Feb 24 20:44:02 2004
+++ mldonkey/Makefile	Fri Feb 27 20:04:48 2004
@@ -2,16 +2,15 @@
  # Date created:		21 August 2002
  # Whom:			Holger Lamm <holger@e-gitt.net>
  #
-# $FreeBSD: ports/net/mldonkey/Makefile,v 1.14 2004/02/04 05:08:14 
marcus Exp $
+# $FreeBSD: ports/net/mldonkey/Makefile,v 1.12 2003/10/30 09:35:00 
krion Exp $
  #

  PORTNAME=	mldonkey
-PORTVERSION=	2.5.4
-PORTREVISION=	1
+PORTVERSION=	2.5.12
  CATEGORIES=	net
  MASTER_SITES=	${MASTER_SITE_SAVANNAH}
-MASTER_SITE_SUBDIR= 
${PORTNAME}/release-${PORTVERSION:C/\.(.)$/-\1/}/official
-DISTNAME=	${PORTNAME}-${PORTVERSION:C/\.(.)$/-\1/}
+MASTER_SITE_SUBDIR=	${PORTNAME}
+DISTNAME=	${PORTNAME}-${PORTVERSION:C/\./-/g}

  MAINTAINER=	holger@e-gitt.net
  COMMENT?=	A OCAML client for multiple peer-to-peer networks
@@ -20,7 +19,7 @@

  GNU_CONFIGURE=	yes
  CONFIGURE_ARGS=	--enable-pthread --enable-ocamlver=3
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:C/\.(.)$/-\1/}
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:C/\./-/g}
  USE_GMAKE=	yes
  ALL_TARGET=	depend opt

@@ -46,8 +45,8 @@
  .endif
  .endif

-DOCFILES=	AUTHORS BUGS ChangeLog FAQ.html \
-		INSTALL TODO ed2k_links.txt
+DOCFILES=	Authors.txt Bugs.txt ChangeLog Developers.txt FAQ.html \
+		Install.txt Readme.txt Todo.txt ed2k_links.txt

  pre-everything::
  .if !defined(WITHOUT_GUI) && !defined(WITHOUT_CORE)
diff -Nur mldonkey.orig/distinfo mldonkey/distinfo
--- mldonkey.orig/distinfo	Tue Feb 24 20:44:02 2004
+++ mldonkey/distinfo	Fri Feb 27 20:03:49 2004
@@ -1 +1,2 @@
-MD5 (mldonkey-2.5-4.tar.gz) = ef72a0c8e1337bfcce9f80f4a94dd927
+MD5 (mldonkey-2-5-12.tar.gz) = a0a1d59e509a75355065fbb01694a9eb
+SIZE (mldonkey-2-5-12.tar.gz) = 3206140
diff -Nur mldonkey.orig/files/patch-configure mldonkey/files/patch-configure
--- mldonkey.orig/files/patch-configure	Tue Feb 24 20:44:02 2004
+++ mldonkey/files/patch-configure	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- config/configure.orig	Sun Oct 12 20:41:28 2003
-+++ config/configure	Wed Jan  7 13:24:29 2004
-@@ -3651,7 +3651,7 @@
-
- case "$OCAMLVERSION" in
-   3.06) TYPE_FORMAT="";;
--  3.07) TYPE_FORMAT="";;
-+  3.07*) TYPE_FORMAT="";;
-   *) TYPE_FORMAT="type ('a,'b,'c) ml_format = ('a,'b, 'c,'c) format 
type ('a,'b,'c) format = ('a,'b, 'c) ml_format";;
- esac		
-
diff -Nur mldonkey.orig/pkg-plist mldonkey/pkg-plist
--- mldonkey.orig/pkg-plist	Tue Feb 24 20:44:02 2004
+++ mldonkey/pkg-plist	Tue Feb 24 20:38:25 2004
@@ -7,11 +7,13 @@
  %%GUI%%bin/mlchat
  %%GUI%%bin/mlgui
  %%GUI%%bin/mlim
-%%PORTDOCS%%share/doc/mldonkey/AUTHORS
-%%PORTDOCS%%share/doc/mldonkey/BUGS
+%%PORTDOCS%%share/doc/mldonkey/Authors.txt
+%%PORTDOCS%%share/doc/mldonkey/Bugs.txt
  %%PORTDOCS%%share/doc/mldonkey/ChangeLog
+%%PORTDOCS%%share/doc/mldonkey/Developers.txt
  %%PORTDOCS%%share/doc/mldonkey/FAQ.html
-%%PORTDOCS%%share/doc/mldonkey/INSTALL
-%%PORTDOCS%%share/doc/mldonkey/TODO
+%%PORTDOCS%%share/doc/mldonkey/Install.txt
+%%PORTDOCS%%share/doc/mldonkey/Readme.txt
+%%PORTDOCS%%share/doc/mldonkey/Todo.txt
  %%PORTDOCS%%share/doc/mldonkey/ed2k_links.txt
  %%PORTDOCS%%@dirrm share/doc/mldonkey
Comment 2 Munish Chopra 2004-02-27 22:32:48 UTC
On 2004-02-27 22:25 +0000, Holger Lamm wrote:
> Since savannah is accessible again, we can update to 2.5.12 directly.
> Holger
> 

[snip diff]

I had to apply the diff by hand since your mail client mangled it (or
perhaps something else did, not sure). The good news is it works just
fine :)

I've attached a re-generated diff of what I tested. It's also available
at http://www.soulwax.net/freebsd/mldonkey.diff in case this doesn't
work.

Thanks.

-- 
Munish Chopra
Comment 3 Holger Lamm 2004-03-01 18:12:07 UTC
Munish Chopra wrote:

> I had to apply the diff by hand since your mail client mangled it (or
> perhaps something else did, not sure). The good news is it works just
> fine :)

Silly me. When I noticed, I had already sent...

> I've attached a re-generated diff of what I tested. It's also available
> at http://www.soulwax.net/freebsd/mldonkey.diff in case this doesn't
> work.

Don't know why almost all files are .orig in your patch, but the "pkg-plist"
looks very strange in your patch and you emptied the "distfiles".

Should I better send the patch again undamaged?

Holger
Comment 4 Munish Chopra 2004-03-01 18:26:53 UTC
On 2004-03-01 19:12 +0000, Holger Lamm wrote:
> Munish Chopra wrote:
> 
> >I had to apply the diff by hand since your mail client mangled it (or
> >perhaps something else did, not sure). The good news is it works just
> >fine :)
> 
> Silly me. When I noticed, I had already sent...
> 
> >I've attached a re-generated diff of what I tested. It's also available
> >at http://www.soulwax.net/freebsd/mldonkey.diff in case this doesn't
> >work.
> 
> Don't know why almost all files are .orig in your patch, but the "pkg-plist"
> looks very strange in your patch and you emptied the "distfiles".
> 
> Should I better send the patch again undamaged?
>

Whoops, I left some cruft in the original dir by mistake. I've
regenerated the patch, once again available at
http://www.soulwax.net/freebsd/mldonkey.diff.

This one should do the trick (no cruft).

-- 
Munish Chopra
Comment 5 Mathieu Arnold freebsd_committer 2004-03-15 09:16:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mat

I'll take this
Comment 6 Mathieu Arnold 2004-03-15 09:19:33 UTC
Hi,

In order to make sure I commit the right patch, could you just post it
somewhere or tell me which one is right ? :)
I guess <http://www.soulwax.net/freebsd/mldonkey.diff> looks good, but I'd
rather be sure :)

-- 
Mathieu Arnold
Comment 7 Mathieu Arnold freebsd_committer 2004-03-15 11:51:28 UTC
Yet another question,

the patch seemed to have replaced the CATEGORIES+= with a = is it supposed to
be this way or should it stay a += ? (I suppose it should stay because of
subports).

-- 
Mathieu Arnold
Comment 8 Holger Lamm 2004-03-16 19:57:45 UTC
Mathieu Arnold wrote:
> Yet another question,
>
> the patch seemed to have replaced the CATEGORIES+= with a = is it supposed to
> be this way or should it stay a += ? (I suppose it should stay because of
> subports).


Of course. This addition is quite new and I didn't have it in my patch.

I put it on http://www.schraegerpunkt.de/mldonkey.patch2

It's the update to version 2.5.14.

Thank you,
Holger

Comment 9 Mathieu Arnold freebsd_committer 2004-03-18 14:34:24 UTC
+-Le 16/03/2004 20:57 +0100, Holger Lamm a dit :
| Mathieu Arnold wrote:
|> Yet another question,
|> 
|> the patch seemed to have replaced the CATEGORIES+= with a = is it
|> supposed to be this way or should it stay a += ? (I suppose it should
|> stay because of subports).
| 
| Of course. This addition is quite new and I didn't have it in my patch.
| 
| I put it on http://www.schraegerpunkt.de/mldonkey.patch2
| 
| It's the update to version 2.5.14.

Ok, compiling in a tinderbox right now to be assured everything works fine,
btw, there is a dependency on x11-toolkits/ocaml-lablgtk, which is broken
currently and does not compile (with any freebsd version and/or tcl/tk
version I've tried), you might want either get in contact with the
maintainer or fix it yourself if you have a better knowledge of open camel
than me :)

-- 
Mathieu Arnold
Comment 10 Mathieu Arnold freebsd_committer 2004-03-18 14:51:51 UTC
State Changed
From-To: open->closed

Committed, thanks